*{
  margin: 0;
}
body{
  display: grid;
  grid-template-columns: 2fr 4fr 2fr;
  grid-template-rows: 2fr 5fr 2fr;
  grid-auto-columns: 1fr 1fr 1fr;
  gap: 10px 0px;
  grid-auto-flow: row;
  grid-template-areas: 
  ". . ."
  ". . ."
  ". . .";
  height: 100vh;
}
.mailbloklinks{
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 1;
  grid-row-end: 4;
}
.mailblokrechts{
  grid-column-start: 3;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 4;
}
.mailbloktop{
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 1;
  grid-row-end: 1;
}
.mailblokonder{
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 3;
  grid-row-end: 3;
}
.mailform{
  background-color: #212729;
  display: grid;
  grid-template-columns: 1fr 4fr 1fr;
  grid-template-rows: 2fr 1fr 1fr 2fr 2fr;
  grid-auto-columns: 1fr 1fr 1fr;
  gap: 10px 0px;
  grid-auto-flow: row;
  grid-template-areas: 
  ". . ."
  ". . ."
  ". . ."
  ". . ."
  ". . .";
  height:auto;
  margin: 0 auto;
  width: 600px;
  padding: 150px 10px;
  border: rgb(0, 0, 0) 2px solid;
  box-shadow: rgb(83, 83, 83) 5px 10px;
  border-radius: 10px;
}
.mailformtop{
  color: white;
  grid-column-start: 1;
  grid-column-end: 4;
  grid-row-start: 1;
  grid-row-end: 1;
}
.mailformrechts{
  grid-column-start: 3;
  grid-column-end: 3;
  grid-row-start: 1;
  grid-row-end: 6;
}
.mailformlinks{
  grid-column-start: 1;
  grid-column-end: 1;
  grid-row-start: 1;
  grid-row-end: 6;
}
.naaminput{
  width: 400px;
  height: 50px;
  margin-left: 20px;
}
.mailinput{
  width: 400px;
  height: 50px;
  margin-left: 20px;
}
.berichtinput{
  width: 400px;
  height: 100px;
  margin-left: 20px;
  resize: none;
}
.btn-hover {
  width: 200px;
  font-size: 16px;
  font-weight: 600;
  color: #ffffff;
  cursor: pointer;
  margin-left: 100px;
  height: 55px;
  text-align:center;
  border: none;
  background-size: 300% 100%;
  border-radius: 50px;
  -moz-transition: all .4s ease-in-out;
  -o-transition: all .4s ease-in-out;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
}

.btn-hover:hover {
  background-position: 100% 0;
  -moz-transition: all .4s ease-in-out;
  -o-transition: all .4s ease-in-out;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
}

.btn-hover:focus {
  outline: none;
}
.btn-hover.knop2 {
  background-image: linear-gradient(to right, #5b6581, #1b2022, #1b2022, #5d6f75);
  box-shadow: 0 4px 15px 0 rgba(111, 109, 233, 0.75);
}

@media screen and (max-width: 1100px){
  .mailform{
    margin-top: -10px;
    border: none;
    border-radius: 0px;
    justify-content: center;
    align-items: center;
    width: 1000px;
    height: 110vh;
    box-shadow: none;
  }
  .naaminput{
    font-size: xx-large;
    margin-left: 0;
    width: 600px;
    height: 200px;
}
.mailinput{
    font-size: xx-large;
    margin-top: 20px;
    margin-left: 0;
    width: 600px;
    height: 200px; 
}
.berichtinput{
    font-size: xx-large;
    margin-top: -180px;
    margin-left: 0;
    width: 600px;
    height: 200px;
}
.btn-hover{
  margin-top: -400px;
  margin-left: 30px;
  width: 500px;
  height: 150px;
  font-size: 50px;
}
  h1{
    font-size: 50px;
}
}